Debian Bug report logs - #393547
ircii: crypt return value implicitly converted to int

version graph

Package: ircii; Maintainer for ircii is Debian QA Group <packages@qa.debian.org>; Source for ircii is src:ircii.

Reported by: dann frazier <dannf@debian.org>

Date: Mon, 16 Oct 2006 20:18:53 UTC

Severity: important

Tags: patch

Merged with 460342

Found in versions ircii/20051015-2, ircii/20051015-2.1

Fixed in version ircii/20051015-2.2

Done: Tobias Klauser <tklauser@access.unizh.ch>

Bug is archived. No further changes may be made.

Forwarded to ircii-bugs@eterna.com.au

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#393547; Package ircii. Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
New Bug report received and forwarded. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: submit@bugs.debian.org
Subject: ircii: crypt return value implicitly converted to int
Date: Mon, 16 Oct 2006 14:07:30 -0600
Package: ircii
Version: 20051015-2
Severity: important

Our automated buildd log filter[1] detected a problem that will cause
your package to segfault on architectures where the size of a pointer
is greater than the size of an integer, such as ia64 and amd64.

This is often due to a missing function prototype definition.

[1]http://people.debian.org/~dannf/check-implicit-pointer-functions

----- Forwarded message from Buildd user <buildd@nautilus.lowpingbastards.de> -----

Subject: Log for successful build of ircii_20051015-2 (dist=unstable)
From: Buildd user <buildd@nautilus.lowpingbastards.de>
Date: Mon, 16 Oct 2006 02:23:41 +0000
To: undisclosed-recipients: ;
X-PMX-Version: 5.2.1.279297, Antispam-Engine: 2.4.0.264935, Antispam-Data: 2006.10.15.185442
X-Virus-Scanned: by amavisd-new-20030616-p10 (Debian) at ldl.fc.hp.com
X-Spam-Checker-Version: SpamAssassin 3.0.3 (2005-04-27) on ldl.lart
X-Spam-Level: 
X-Spam-Status: No, score=0.1 required=3.5 tests=AWL,UNDISC_RECIPS 
	autolearn=disabled version=3.0.3
Debian-Buildd-Error: Yes

Function `crypt' implicitly converted to pointer at /build/buildd/ircii-20051015/source/alias.c:2748

----- End forwarded message -----

-- 
dann frazier | HP Open Source and Linux Organization



Reply sent to Bernd Eckenfels <be-mail2006@lina.inka.de>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #8 received at 393547-forwarded@bugs.debian.org (full text, mbox):

From: Bernd Eckenfels <be-mail2006@lina.inka.de>
To: ircii-bugs@eterna.com.au
Cc: 393547-forwarded@bugs.debian.org
Subject: Re: Bug#393547: ircii: crypt return value implicitly converted to int
Date: Tue, 17 Oct 2006 04:23:11 +0200
i think the actual probem is that the makefile is overwriting the include
directories with -Iincudes/ which will cause alias.c to load ./include/crypt.h
instead of /usr/include/crypt.h - so the prototype is missing.

-iquote or -I- (deprecated) in the makefile would fix that. 

I filed a Gnat report, here is another mail with the Debian Bug number, Mat

Gruss
Bernd



Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#393547; Package ircii. Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@access.unizh.ch>:
Extra info received and forwarded to list. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #13 received at 393547@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 393547@bugs.debian.org, 460342@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Merge bugs #393547 and #460342
Date: Sat, 12 Jan 2008 21:15:29 +0100
[Message part 1 (text/plain, inline)]
forcemerge 393547 460342
stop

These two are essentially the same. I'm currently preparing a fixed
version which I will post (and possibly NMU) later.

Thanks, Tobias
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 393547 460342. Request was from Tobias Klauser <tklauser@access.unizh.ch> to control@bugs.debian.org. (Sat, 12 Jan 2008 20:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bernd Eckenfels <ecki@debian.org>:
Bug#393547; Package ircii. Full text and rfc822 format available.

Acknowledgement sent to Tobias Klauser <tklauser@access.unizh.ch>:
Extra info received and forwarded to list. Copy sent to Bernd Eckenfels <ecki@debian.org>. Full text and rfc822 format available.

Message #20 received at 393547@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 460342@bugs.debian.org, 393547@bugs.debian.org
Subject: NMU diff for #393547 and #460342
Date: Sat, 12 Jan 2008 22:57:24 +0100
[Message part 1 (text/plain, inline)]
Hi,

Attached you'll find the NMU diff to fix these two bugs (which I merged
previously).

thanks, Tobias
[460342-393547-NMU.diff (text/x-diff, attachment)]

Tags added: patch Request was from Tobias Klauser <tklauser@access.unizh.ch> to control@bugs.debian.org. (Sat, 12 Jan 2008 22:09:03 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Tobias Klauser <tklauser@access.unizh.ch> to control@bugs.debian.org. (Sat, 12 Jan 2008 22:09:05 GMT) Full text and rfc822 format available.

Reply sent to Tobias Klauser <tklauser@access.unizh.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to dann frazier <dannf@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 393547-close@bugs.debian.org (full text, mbox):

From: Tobias Klauser <tklauser@access.unizh.ch>
To: 393547-close@bugs.debian.org
Subject: Bug#393547: fixed in ircii 20051015-2.2
Date: Sat, 12 Jan 2008 23:32:05 +0000
Source: ircii
Source-Version: 20051015-2.2

We believe that the bug you reported is fixed in the latest version of
ircii, which is due to be installed in the Debian FTP archive:

ircii_20051015-2.2.diff.gz
  to pool/main/i/ircii/ircii_20051015-2.2.diff.gz
ircii_20051015-2.2.dsc
  to pool/main/i/ircii/ircii_20051015-2.2.dsc
ircii_20051015-2.2_i386.deb
  to pool/main/i/ircii/ircii_20051015-2.2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 393547@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tobias Klauser <tklauser@access.unizh.ch> (supplier of updated ircii package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 22:30:02 +0100
Source: ircii
Binary: ircii
Architecture: source i386
Version: 20051015-2.2
Distribution: unstable
Urgency: low
Maintainer: Bernd Eckenfels <ecki@debian.org>
Changed-By: Tobias Klauser <tklauser@access.unizh.ch>
Description: 
 ircii      - Internet Relay Chat client
Closes: 393547 460342
Changes: 
 ircii (20051015-2.2) unstable; urgency=low
 .
   * Non-maintainer upload from the Zurich BSP
   * Add -ioption to local include paths so they do not cover the system
     headers with the same name. This fixes errors/warnings about implicitly
     converted pointers. (Closes: #393547, #460342)
Files: 
 5ac0755b85b68ce4ae8afb5659e7380f 574 net optional ircii_20051015-2.2.dsc
 522f253c8b32485ba2383472d5d0ec38 9911 net optional ircii_20051015-2.2.diff.gz
 7d83d9e710a01ac13b09d8dc1f4bf1ff 484694 net optional ircii_20051015-2.2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiUm9+C5cwEsrK54RAqxeAKCWlMwEBRxKFUj3NUdhA53V6Ole6gCfeYa6
iaaawdhp0oLL0dsvkFMIPEo=
=AIaY
-----END PGP SIGNATURE-----





Reply sent to Tobias Klauser <tklauser@access.unizh.ch>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:29:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:47:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.